Obtain or refresh an access_token

Obtain a new access_token by exchanging an authorization code, a refresh_token or api_keys.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Include client_id and client_secret in the body, or authenticate the client with
Authorization: Basic (Base64 of client_id:client_secret) per RFC 6749 §2.3.1.

string
enum
required
Allowed:
uri

Required only if using the Authorization Code grant.
The registered callback URI.

It's the same URI used in the POST /oauth/authorize request.

string

Required only if using the Refresh Token Grant.

Use the value of the previously stored refresh_token.

string

The alphanumeric client_id (may be sent in the body or via Authorization: Basic).

string

The alphanumeric client_secret (may be sent in the body or via Authorization: Basic).

string

A list of space-separated scopes that your application will have access to on behalf of the user.

string

Required only if using the Authorization Code Grant.

Use the value of the code parameter attached to callback request.

string

Required only for Authorization Code Grant when PKCE is used.

If code_challenge was provided in the /oauth/authorize request, you must include
the original code_verifier value here. If PKCE was not used (no code_challenge in
the authorization request), this parameter should be omitted.

string

Required only for the api_keys grant.

API Key generated in Penneo user settings.

string

Required only for the api_keys grant.

Concatenation of the raw nonce, timestamp, and API secret, then SHA-1 hashed, and finally
Base64-encoded. The nonce, while sent as a Base64-encoded string, is used in its raw form to
generate this digest.

string

Required only for the api_keys grant. Used to generate the digest parameter.

A randomly generated string, no longer than 64 characters. It should be sent Base64-encoded.

string

Required only for the api_keys grant. Used to generate the digest parameter.

Current date and time in UTC or including timezone. Most standard formats are supported.
A maximum clock skew of up to 60 seconds is allowed (in plus or minus).

Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json